use crate::{Payment, Status, TransactionId};
use chrono::{DateTime, Utc};

pub struct Transaction {
    pub id: TransactionId,
    pub spend: Vec<Payment>,
    pub create: Vec<Payment>,
    pub reference: String,
    pub status: Status,
    pub created_at: DateTime<Utc>, 
    pub updated_at: DateTime<Utc>, 
}
